Subject: [PATCH 6/8] arm: mach-armada: add support for Armada XP board with device tree

From: [email-masked] (Thomas Petazzoni)
Date: Tue, 15 May 2012 17:46:02 +0200

Le Tue, 15 May 2012 15:32:20 +0000,
Arnd Bergmann <[email-masked]> a ?crit :

> > > Agreed. When looking at the code, I wasn't sure why PCI mappings
> > > were needed so early. Surely, the minimal mappings to get an UART
> > > are quite useful to have very early, but why PCI?
> > 
> > I think it was because that PCI was initialised early and requires a
> > large mapping space. It is very likely to be legacy kernel stuff
> > that people have kept copying through.
> 
> No, as Rob pointed out, we might not need them early, but we
> definitely want a fixed address for the PIO window, which ioremap
> does not provide.

A fixed address for the PIO window of the PCI registers? Or a fixed
address for the PIO window used to access UART registers?

I would understand why a fixed address is needed for the latter, but
not really for the former.

Thomas
-- 
Thomas Petazzoni, Free Electrons
Kernel, drivers, real-time and embedded Linux
development, consulting, training and support.
http://free-electrons.com